## FmTabLabel

FmTabLabel — A tab label widget.

## Functions

FmTabLabel * | fm_tab_label_new ()
void | fm_tab_label_set_text ()
void | fm_tab_label_set_tooltip_text ()
void | fm_tab_label_set_icon ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── FmTabLabel

## Description

`include` : libfm/fm-gtk.h

The FmTabLabel is a widget that can be used as a label of tab in notebook-like folders view.

## Functions

### fm_tab_label_new ()

    FmTabLabel *
    fm_tab_label_new (const char *text);

Creates new tab label widget.

#### Parameters

text | text to display as a tab label |

#### Returns

a new FmTabLabel widget.

[transfer full]

Since: 0.1.10

### fm_tab_label_set_text ()

    void
    fm_tab_label_set_text (FmTabLabel *label,
                           const char *text);

Changes text on the `label` .

#### Parameters

label | a tab label widget |
text | text to display as a tab label |

Since: 0.1.10

### fm_tab_label_set_tooltip_text ()

    void
    fm_tab_label_set_tooltip_text (FmTabLabel *label,
                                   const char *text);

Changes text of tooltip on the `label` .

#### Parameters

label | a tab label widget |
text | text to display in label tooltip |

Since: 1.0.0

### fm_tab_label_set_icon ()

    void
    fm_tab_label_set_icon (FmTabLabel *label,
                           FmIcon *icon);

Sets an optional `icon` to be shown before text in the `label` .

#### Parameters

label | a tab label widget |
icon | an icon to show before text or `NULL`. | [allow-none]

Since: 1.2.0